cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

upgrade and migration of appmon 6.5 to 7.1

FCHIKHI
Newcomer

Hello

We are preparing an upgrade from 6.5 to 7.1 and a migration to a new server

Our situation :

Server A : Appmon 6.5 ---> Server B Appmon 7.1

For the collectors it will be only an upgrade to the 7.1 on the same hosts

The definitiive migration is planned for October, until that time, we
want to install the new server and migrate all the configurations
(plugins, systeme profile from the old server)

But the 6.5 will continue to work

The problem is, when we used the migration tool , the new server have references to the old ,

We used the following steps :

1) On the old host : java -jar dynatrace-migration.jar -migration
-sourceDTHome "<DT_HOME_OLD>" -targetArchiveDir
"<ARCHIVE_DIR>

2) On the new host : java -jar dynatrace-full-7.1.0.1803-linux-x86-64.jar

3) On the new host : java -jar dynatrace-migration.jar -migration
-sourceArchive "<ARCHIVE_DIR>" -targetDTHome "<DT_HOME_NEW>"

The problem is that we have dependencies on our new server to the old server in the conf files.

Thanks in advance

Fayçal


2 REPLIES 2

thomas_klambaue
Dynatrace Pro
Dynatrace Pro

Hello Fayçal,

I am not sure what you mean with the dependencies:

The server's conf files from 6.5 will be copied by the migration tool into a .dtma file and extracted at the target 7.1 also by the migration tool.

The paths in the server conf should be relative paths in most cases, maybe except session storage, but see the upgrade guide session storage section for how to move that out of the 6.5 installation folder:

https://www.dynatrace.com/support/doc/appmon/insta...

https://www.dynatrace.com/support/doc/appmon/appli...

If that is not what you mean, please give an example of such a dependency.

Best regards,

Thomas


mallempati_sree
Inactive

hi Faycal,

What kind of dependencies you are seeing? Ideally except storage session if we are using any external mount to switch between primary/Secondary server there wont be any dependencies.

Thanks,

Sree